# QDomDocumentType Class Reference

### [com.trolltech.qt.xml package]

Inherits QDomNode.

### Constructor

- void QDomDocumentType()
- void QDomDocumentType(QDomDocumentType x)

### Constructor Properties

- prototype: The QDomDocumentType prototype object

### Prototype Object Properties

The QDomDocumentType prototype object inherits properties from the QDomNode prototype object and also has the following properties.

- QDomNamedNodeMap entities()
- String internalSubset()
- String name()
- QDomNamedNodeMap notations()
- String publicId()
- String systemId()

### Instance Properties

QDomDocumentType objects have no special properties beyond those inherited from the QDomDocumentType prototype object.